package de.lcag.common;

import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

class DbTableTest {
	private static LcagProperties dbProp = new LcagProperties("V:/EBX/workspace/ebx_lufthansa/ebx-home/config",
			"DbConnection.properties");

	@BeforeAll
	static void setUpBeforeClass() throws Exception {
	}

	@BeforeEach
	void setUp() throws Exception {
	}

	@Test
	void testAppendString() {
		DbTable table = new DbTable(dbProp);

		table.append("select * from vlcag_sys_util_stationefreightcapabilities");

		String csv = table.asCsvData();

		System.out.println(csv);
	}

}
